{#
Template for the transaction viewer where a user can
spectate the pending transactions of the blockchain
of this NICE node.
Author: Jero Schäfer
Last modified: 07.07.2020
#}
{% extends "base.html" %}

{% block page_content %}
    <main role="main">
        <section class="jumbotron text-center">
            <div class="container">
                <h1 class="jumbotron-heading">Transaction Viewer</h1>
                <p class="lead text-muted">
                    Here you can see the pending transactions of the blockchain.
                </p>
            </div>
        </section>

        <h2 class="mb-1">Pending Transactions:</h2>
        <ul class="list-group">
            {% for tx in transactions %}
                <li class="list-group-item">
                    <div class="d-flex w-100 justify-content-between">
                        <h3 class="mb-1">Transaction #{{ loop.index0 }}</h3>
                    </div>
                    <p>{{ tx | pretty_tx }}</p>
                </li>
            {% endfor %}
        </ul>

    </main>
{% endblock %}